Skip to navigation

Create Backup Posture Control

Creates a backup posture control.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project you want to create a backup posture control in. You can get your project ID from the API Credentials page in your global management console.

Request

Backup posture control to create.
namestringRequired
Display name of the control.
severityenumRequired
Severity assigned to control violations.
Allowed values:
resourceSelectorobjectRequired
Resource selector determining which resources the control applies to.
rulesobjectRequired
Backup requirements a matching resource must satisfy.

Response

Backup posture control created.
idstring
ID of the backup posture control.
namestring
Display name of the control.
severityenum
Severity assigned to control violations.
Allowed values:
resourceSelectorobject
Determines which resources the control applies to.
rulesobject
Backup requirements a matching resource must satisfy.